package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.RtClassMettingHeld;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 辅导员班会Mapper接口
 *
 * @author LSD
 * @date 2025-03-02
 */
public interface RtClassMettingHeldMapper extends BaseMapper<RtClassMettingHeld> {

    public List<RtClassMettingHeld> listView(RtClassMettingHeld rtClassMettingHeld);

    /**
     * 查询辅导员班会
     *
     * @param cmhId 辅导员班会主键
     * @return 辅导员班会
     */
    public RtClassMettingHeld selectRtClassMettingHeldByCmhId(Long cmhId);

    /**
     * 查询辅导员班会列表
     *
     * @param rtClassMettingHeld 辅导员班会
     * @return 辅导员班会集合
     */
    List<RtClassMettingHeld> selectRtClassMettingHeldList(RtClassMettingHeld rtClassMettingHeld);

    /**
     * 新增辅导员班会
     *
     * @param rtClassMettingHeld 辅导员班会
     * @return 结果
     */
    int insertRtClassMettingHeld(RtClassMettingHeld rtClassMettingHeld);

    /**
     * 修改辅导员班会
     *
     * @param rtClassMettingHeld 辅导员班会
     * @return 结果
     */
    int updateRtClassMettingHeld(RtClassMettingHeld rtClassMettingHeld);

    /**
     * 删除辅导员班会
     *
     * @param cmhId 辅导员班会主键
     * @return 结果
     */
    int deleteRtClassMettingHeldByCmhId(Long cmhId);

    /**
     * 批量删除辅导员班会
     *
     * @param cmhIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtClassMettingHeldByCmhIds(Long[] cmhIds);
}
